var uidom1=new ActiveXObject("Microsoft.XMLDOM"),uidom2=new ActiveXObject("Microsoft.XMLDOM")
var dtdom=new ActiveXObject("Microsoft.XMLDOM")
var wpdom=new ActiveXObject("Microsoft.XMLDOM"),gwdom=new ActiveXObject("Microsoft.XMLDOM")
var jqdom=new ActiveXObject("Microsoft.XMLDOM"),jndom=new ActiveXObject("Microsoft.XMLDOM")
var rwdom=new ActiveXObject("Microsoft.XMLDOM"),sjdtdom=new ActiveXObject("Microsoft.XMLDOM")
var pzdom=new ActiveXObject("Microsoft.XMLDOM"),zbdom=new ActiveXObject("Microsoft.XMLDOM")
loading("加载Xml界面文件",20);
uidom1.async=false;uidom1.load("server/htmui1.xml");
uidom2.async=false;uidom2.load("server/htmui2.xml");
loading("加载物品/怪物文件",25);
dtdom.async=false;
wpdom.async=false;wpdom.load("server/wp.xml");
gwdom.async=false;gwdom.load("server/gw.xml");
loading("加载Xml剧情/技能/任务文件",30);
jqdom.async=false;jqdom.load("server/jq.xml");
jndom.async=false;jndom.load("server/jn.xml");
rwdom.async=false;rwdom.load("server/rw.xml");
loading("加载Xml世界构造/配置/装备文件",35);
sjdtdom.async=false;sjdtdom.load("server/sjdt.xml");
pzdom.async=false;pzdom.load("server/pz.xml");
zbdom.async=false;zbdom.load("server/zb.xml");
var xmlerr=",加载错误"
if(uidom1.parseError.errorCode!=0)alert("异常:视图UI-XML1"+xmlerr)
if(uidom2.parseError.errorCode!=0)alert("异常:视图UI-XML2"+xmlerr)
if(wpdom.parseError.errorCode!=0)alert("异常:物品WP-XML"+xmlerr)
if(gwdom.parseError.errorCode!=0)alert("异常:怪物GW-XML"+xmlerr)
if(jqdom.parseError.errorCode!=0)alert("异常:剧情JQ-XML"+xmlerr)
if(jndom.parseError.errorCode!=0)alert("异常:技能JN-XML"+xmlerr)
if(rwdom.parseError.errorCode!=0)alert("异常:任务RW-XML"+xmlerr)
if(sjdtdom.parseError.errorCode!=0)alert("异常:世界地图SJDT-XML"+xmlerr)
if(pzdom.parseError.errorCode!=0)alert("异常:游戏配置PZ-XML"+xmlerr)
if(zbdom.parseError.errorCode!=0)alert("异常:装备ZB-XML"+xmlerr)


var xml={
gethtml:function(uidom){  //get UI HTML
var uidoms=uidom.getElementsByTagName("all")[0].childNodes,allhtm=[]
for(var i=0;i<uidoms.length;i++)allhtm[i]=uidoms[i].text
document.write(allhtm.join(""))
},
getpz:function(getpzname,shuxing){  //get配置
var thevalue=pzdom.getElementsByTagName(getpzname)[0].getAttribute(shuxing)
if(isNaN($(thevalue))){return thevalue}else{return $(thevalue)}
},
getrw:function(therwname){  //get任务
var rwdoms=rwdom.getElementsByTagName("rw")
for(var i=0;i<rwdoms.length;i++){if(rwdoms[i].getAttribute("n")==therwname)return rwdoms[i]}
},
getsjdt:function(thename){  //get世界地图某地点信息
var jihe=sjdtdom.getElementsByTagName("document")[0].childNodes
for(var i=0;i<jihe.length;i++){
if(jihe[i].getAttribute("name")==thename)return jihe[i]
}},
getwp:function(ndname,wpname){  //get物品与装备属性
var obj=ndname=="zb"?zbdom.getElementsByTagName(ndname):wpdom.getElementsByTagName(ndname);
for(var i=0;i<obj.length;i++){
if(obj[i].getAttribute("n")!=wpname.replace(/\$\$\$\d+/g,""))continue;
return obj[i]
}
},
getjq:function(jq,msgnum){  //get剧情
var nodes=jqdom.getElementsByTagName(jq)[0].childNodes
if(msgnum>=nodes.length||msgnum<0)return "close";
return nodes[msgnum].nodeName+"(&*(%%3223889-=\.."+nodes[msgnum].getAttribute("bq")+"(&*(%%3223889-=\.."+nodes[msgnum].text
},
getgw:function(nodename){  //get怪物
return gwdom.selectNodes("document/"+nodename)[0]
},
getjn:function(jnname){  //get技能
var obj=jndom.getElementsByTagName("jn")
for(var i=0;i<obj.length;i++){if(obj[i].getAttribute("n")==jnname)return obj[i]}
},
playhjy:function(){  //环境乐播放
if(xml.hjy==""||zd.zdzhong||zhizuoqun2.go!=null||gh_kuang.style.display!="none")return;if(round(random()*50)>1)return;  //越1-50秒内,平均25秒,才执行
var src1="";switch(xml.hjy){
case "鸟语花香":src1="niao1.wav,niao2.wav,niao3.wav,niao4.wav,niao5.wav,niao6.wav,all_chan.wav";break;
case "神秘诡异":src1="shenmi1.wav,shenmi2.wav,all_shui1.wav,all_youyuan.wav,all_mao2.wav";break;
case "海洋世界":src1="hai1.wav,hai2.wav";break;
case "寂静夜晚":src1="time_ye1.wav,time_ye2.wav,time_ye3.wav,time_ye4.wav,all_mao1.wav";break;
case "雨一直下":src1="xiayu1.wav,xiayu2.wav,xiayu3.wav";break;
case "动物王国":src1="dongwu1.wav,dongwu2,wav,dongwu3,wav,all_lang.wav,all_ma.wav,all_yang.wav,all_youyuan.wav";break;
case "荒凉之地":src1="huangliang1.wav,huangliang2.wav,all_dadiao.wav,all_lang.wav,all_wuya.wav";break;
case "喧闹都市":src1="dushi1.wav,dushi2.wav";break
case "科学机器":src1="jiqi1.wav,jiqi2.wav,jiqi3.wav,jiqi4.wav,jiqi5.wav";break;
case "激烈战场":src1="zhanchang1.wav,zhanchang2.wav,zhanchang3.wav,zhanchang4.wav,zhanchang5.wav,zhanchang6.wav";break;
}
bgsound2.src="bgsound/bgsound2/"+src1.split(",")[Math.floor(src1.split(",").length*random())];
bgsound2.loop=round(random()*3)
},

hjy:"",  //地图环境乐
gws:[], //地图出现怪物种类与几率存取
gwmax:0,  //怪物上限
yinyue:"", //场景背景音乐存取
kuangwu:null, //矿物存储
migong:false,  //判断迷宫
fei:"",  //判断可否飞
guishu:"",  //记录当前地图的归属
loaddt:function(dtwenjian1,dtname1,dtx,dty){  //装载地图
yd.cle();stoploading();dtwenjian=dtwenjian1,dtname=dtname1  //全局var,记录当前场景名
zdbushu=0;

var fm1objs=fm1.children  //初始化地图,保留id=me,ying,bq1
while(fm1objs.length>5){
if(fm1objs[5].dong!=null){clearInterval(fm1objs[5].dong);fm1objs[5].dong=null}
fm1.removeChild(fm1objs[5])
}
dtdom.load("server/ditu/"+dtwenjian+".xml");var tempdom=dtdom.getElementsByTagName("n")
var xml1=null;for(var i=0;i<tempdom.length;i++){
if(tempdom[i].getAttribute("name")==dtname){xml1=tempdom[i];break;}
}

xml.fei=xml1.getAttribute("fei");xml.guishu=xml1.getAttribute("guishu");
xml.yinyue=xml1.getAttribute("bgsound");
xml.migong=xml1.getAttribute("migong")==null?false:true;
fm1.style.backgroundImage="url('"+xml1.getAttribute("dimian")+"')"  //初始化框架
shuzhidtname.innerHTML=xml1.getAttribute("name");

fmwid=xml1.getAttribute("wid");fmhei=xml1.getAttribute("hei");
if(yd.zt=="潜泳"){me.style.height=95;ying.style.visibility="visible";shezhifei.style.visibility="hidden";}
if(yd.zt=="陷阱"){shezhifei.style.visibility="hidden";yd.zt="走路";}
mewid=me.offsetWidth;mehei=me.offsetHeight;
if(dtx==null){dtx=xml1.getAttribute("morenx")==null?fmwid/2:xml1.getAttribute("morenx");
dty=xml1.getAttribute("moreny")==null?fmhei/2:xml1.getAttribute("moreny");}

fmleft=bodywid/2+-dtx-(mewid/2);fmtop=bodyhei/2+-dty-(mehei/2)
fm1.style.width=fmwid;fm1.style.height=fmhei
fm1.style.left=fmleft;fm1.style.top=fmtop;
xml.hjy=xml1.getAttribute("hjy")==null?"":xml1.getAttribute("hjy");

bodywid=document.body.offsetWidth;bodyhei=document.body.offsetHeight
oldx=bodywid/2+(-fmleft)-(mewid/2);oldy=bodyhei/2+(-fmtop)-(mehei/2)
mex=oldx;mey=oldy;
me.style.left=oldx;me.style.top=oldy;
me2.style.left=oldx;me2.style.top=oldy
me3.style.left=oldx;me3.style.top=oldy

var tempw=xdt.offsetWidth/(fmwid/mewid),temph=xdt.offsetHeight/(fmhei/mehei)
minrpg.style.width=tempw<4?4:tempw;minrpg.style.height=temph<4?4:temph;minrpg.style.zIndex=20000;

if(xml1.getAttribute("fei")=="禁止"&&yd.zt=="飞行")tbfun.feixing()

var kw1=0,kw2=0,allkw=xml1.getAttribute("kuang")  //矿处理
if(allkw!=null){
allkw=allkw.split(",");kw1=allkw.length
for(var i=0;i<kw1;i++){var allkw2=allkw[i].split("=")
for(var j=0;j<allkw2[1];j++){
kw2++;var htm=document.createElement("IMG");htm.style.cursor="hand";htm.id="fmkuang";
htm.style.left=round(fmwid*random());htm.style.top=round(fmhei*random());htm.style.zIndex=10000;htm.xml_name=allkw2[0];
htm.onmouseover=function(){showtmk('各类矿石或埋藏宝物,单击可采集['+this.xml_name+']')}
htm.onmousedown=function(){
if(sd_loading)return;yinxiao("挖掘");setTimeout("yinxiao('挖掘');",3000);
yd.evx=this.offsetLeft;yd.evy=this.offsetTop;yd.ck(me);
return loading("我挖啊挖~嘿咻,一二三四五,汗滴姐下土<br>刨坑中,你正挖掘 "+this.xml_name,1,this,"采集",70,2)
}
htm.src="img/wp/"+xml.getwp("wp",allkw2[0]).getAttribute("src");fm1.appendChild(htm);
}}  //end 2 for
xdt_kw1.innerText=kw1+"种";xdt_kw2.innerText=kw2+"个";xdt_kw1.onmousemove=function(){showtmk(dtname+"初始刷矿:"+xml1.getAttribute("kuang").replace(/\=/g,""))}
}else{xdt_kw1.innerText="0种";xdt_kw2.innerText="0个";xdt_kw1.onmousemove=null}  //end 矿处理

for(var i=0;i<xml.gws.length;i++)xml.gws[i]=null;xml.gwmax=0;  //初始化场景怪物资料
if(xml1.getAttribute("gw")==null||xml1.getAttribute("gwmax")==null){
xml.gws[0]=null;xml.gwmax=0;
xdt_mw1.innerText="0种";xdt_mw2.innerText="Max=0";xdt_mw1.onmousemove=null;
}else{
xml.gwmax=parseInt(xml1.getAttribute("gwmax"))
var text1=xml1.getAttribute("gw").split(",")
xdt_mw1.innerHTML=text1.length+"种";
xdt_mw1.onmousemove=function(){showtmk(xml1.getAttribute("gw").replace(/\=/g,"").replace(/(.*?\,.*?\,.*?\,.*?\,.*?\,.*?\,.*?),/g,"$1<br>"))}
xdt_mw2.innerText=xml.gwmax+"个";

for(var i=0;i<text1.length;i++){
xml.gws[i]=text1[i];
}}

var tempname=xml1.getAttribute("name");
if(rpg.ciyuan==1&&(tempname=="枫舞城"||tempname=="西祠同"||tempname=="北海道"||tempname=="东渡口"||tempname=="南柯径")){  //血色兄弟会
var htm=document.createElement("img");htm.style.cursor="hand";htm.style.zIndex=10;htm.id="npc"
htm.name1="血色兄弟会委托";htm.src="img/gw/xueying.gif";htm.face1="lihui/xueying_small.gif";htm.msg="jq0_12";
htm.onmouseover=function(){showtmk(this.name1+" - NPC")}
htm.style.left=round(fmwid*random());htm.style.top=round(fmhei*random());
htm.style.width=100;htm.style.height=146;
fm1.appendChild(htm)
}

var xml2=xml1.childNodes,inaqq=false;anquanqu=false
for(var i=0;i<xml2.length;i++){

var theciyuan=xml2[i].getAttribute("ciyuan"),ciyuanxianshi=true; //判断是否在该次元显示
if(theciyuan!=null){theciyuan=theciyuan.split(",");
for(var r=0;r<theciyuan.length;r++){if(parseInt(theciyuan[r])==rpg.ciyuan)ciyuanxianshi=false;}
}
if(ciyuanxianshi!=true)continue;

var id1=xml2[i].getAttribute("id")
if(id1=="aqq"||id1=="exit"||id1=="pb"||id1=="shui"||id1=="xj"){  //安全区,出口,屏蔽
var htm=document.createElement("div");htm.id=id1;
htm.style.left=xml2[i].getAttribute("x");htm.style.top=xml2[i].getAttribute("y")
var twid1=xml2[i].getAttribute("wid"),thei1=xml2[i].getAttribute("hei")
if(id1=="aqq"){htm.style.border="3 dotted lime";htm.move=14}
else if(id1=="pb"){htm.move=4;
htm.style.backgroundColor=xml2[i].getAttribute("col")!=null?xml2[i].getAttribute("col"):"black";
if(xml2[i].getAttribute("bg")!=null){htm.style.backgroundImage="url('img/background/"+xml2[i].getAttribute("bg")+"')";htm.bg=xml2[i].getAttribute("bg")}
htm.style.border="3 outset "+htm.style.backgroundColor
}else if(id1=="shui"){
htm.style.backgroundImage="url('img/background/shui"+Math.ceil((new Date().getHours()+1)/6)+".gif')";htm.move=5
}else if(id1=="xj"){
htm.move=6;htm.bgimg=xml2[i].getAttribute("bgimg");
htm.style.backgroundImage="url('img/"+htm.bgimg+"')";
htm.xjshanghai=xml2[i].getAttribute("xjshanghai")
htm.xjsunshi=xml2[i].getAttribute("xjsunshi")
}else if(id1=="exit"){
htm.style.fontSize="15px";htm.style.fontWeight="bold"
htm.style.textAlign="center";htm.style.color="Red";htm.style.backgroundImage="url('img/background/liuxing2.gif')"
htm.style.border="1 solid gray";htm.move=15;
htm.exitto=xml2[i].getAttribute("exitto");
htm.exitx=xml2[i].getAttribute("exitx");htm.exity=xml2[i].getAttribute("exity");
htm.innerHTML="前往↓<p></p>"+htm.exitto.split("+-=-+")[1]
}
htm.style.width=twid1;htm.style.height=thei1;
if(xml2[i].getAttribute("z")!=null){htm.style.zIndex=xml2[i].getAttribute("z");htm.z=xml2[i].getAttribute("z")}
if(xml2[i].getAttribute("dong")!=null){
htm.oldx=parseInt(xml2[i].getAttribute("x"));htm.oldy=parseInt(xml2[i].getAttribute("y"));
var fanwei=parseInt(xml2[i].getAttribute("fanwei"))  //运动范围,页面大小的百分比范围内
htm.zuobi=htm.oldx-((fmwid/100)*(fanwei/2));htm.youbi=htm.oldx+((fmwid/100)*(fanwei/2));htm.tingdun=0
htm.shangbi=htm.oldy-((fmhei/100)*(fanwei/2));htm.xiabi=htm.oldy+((fmhei/100)*(fanwei/2));yd.npcmove(htm)
}
htm.yincang=xml2[i].getAttribute("yincang");
fm1.appendChild(htm);
if(id1=="aqq"){  //判断主角初始是否在安全区
if(mex>htm.offsetLeft&&mex<htm.offsetLeft+htm.offsetWidth&&mey>htm.offsetTop&&mey<htm.offsetTop+htm.offsetHeight){
anquanqu=true;inaqq=true;yinxiao("安全区");}
}
continue;
}
var htm=document.createElement("img")  //路障,NPC,boos
if(id1=="npc"||id1=="boos"){
htm.style.cursor="hand";
if(id1=="npc"&&xml2[i].getAttribute("pub")!=null){htm.style.zIndex=10;
switch(xml2[i].getAttribute("pub")){
case "传送":htm.name1="传送妹";htm.src="img/npc/mpc1.gif";htm.face1="lihui/chuansong_small.gif";htm.msg="jq0_1";break;
case "商店":htm.name1="商店姐";htm.src="img/npc/mpc2.gif";break;
case "仓库":htm.name1="仓库妹";htm.src="img/npc/mpc3.gif";break;
case "技能":htm.name1="技能姐";htm.src="img/npc/mpc4.gif";htm.face1="lihui/jineng_small.gif";htm.msg="jq0_4";break;
case "强化":htm.name1="强化妹";htm.src="img/npc/mpc5.gif";htm.face1="lihui/qianghua_small.gif";htm.msg="jq0_3";break;
case "锻制":htm.name1="锻制妹";htm.src="img/npc/mpc6.gif";htm.face1="lihui/duanzhi_small.gif";htm.msg="jq0_2";break;

case "精炼":htm.name1="风云舞";htm.src="img/gw/anhei13.gif";htm.face1="lihui/fyw_small.gif";htm.msg="jq0_6";break;
case "掉换":htm.name1="万华妹";htm.src="img/gw/wj10.gif";htm.face1="lihui/wanhua_small.gif";htm.msg="jq0_15";break;
case "任务-暗黑兄弟会":htm.name1="暗黑兄弟会委托";htm.src="img/gw/anhei12.gif";htm.face1="lihui/qingguo_small.gif";htm.msg="jq0_7";break;
case "任务-新选组":htm.name1="新选组委托";htm.src="img/gw/hani4.gif";htm.face1="lihui/hani3_small.gif";htm.msg="jq0_8";break;
case "任务-圣堂天团":htm.name1="圣堂天团委托";htm.src="img/gw/shengyu12.gif";htm.face1="lihui/feila_small.gif";htm.msg="jq0_9";break;
case "任务-帝国军团":htm.name1="帝国军团委托";htm.src="img/gw/diguo8.gif";htm.face1="lihui/shangshan_small.gif";htm.msg="jq0_10";break;
case "任务-地狱魔军":htm.name1="地狱魔军委托";htm.src="img/gw/mojun14.gif";htm.face1="lihui/xitisi_small.gif";htm.msg="jq0_11";break;
case "任务-俺样公会":htm.name1="梅尔菲";htm.src="img/gw/wj9.gif";htm.face1="lihui/canmouzhang_small.gif";htm.msg="jq0_14";break;
}htm.pub=xml2[i].getAttribute("pub");}else{if(xml2[i].getAttribute("face")!=null){htm.face1="lihui/"+xml2[i].getAttribute("face");}else{htm.face1=xml2[i].getAttribute("src")}}
if(htm.msg==null)htm.msg=xml2[i].getAttribute("msg");
if(htm.name1==null)htm.name1=xml2[i].getAttribute("name1")
if(id1=="npc")htm.onmouseover=function(){showtmk(this.name1+" - NPC")}
if(id1=="boos"){htm.boosis=xml2[i].getAttribute("boosis");htm.shouxia=xml2[i].getAttribute("shouxia");htm.killxs=xml2[i].getAttribute("killxs");
var thegw=xml.getgw(htm.boosis.split("=")[1]);htm.src="img/gw/"+thegw.getAttribute("src");
if(xml2[i].getAttribute("face")!=null){htm.face1="lihui/"+xml2[i].getAttribute("face");}else{htm.face1="gw/"+thegw.getAttribute("src")}
}}

if(xml2[i].getAttribute("src")!=null)htm.src="img/"+xml2[i].getAttribute("src");
htm.id=id1;htm.style.left=xml2[i].getAttribute("x");htm.style.top=xml2[i].getAttribute("y");
if(xml2[i].getAttribute("move")!=null)htm.move=xml2[i].getAttribute("move")
if(xml2[i].getAttribute("z")!=null)htm.style.zIndex=xml2[i].getAttribute("z")
if(xml2[i].getAttribute("wid")!=null)htm.style.width=xml2[i].getAttribute("wid")
if(xml2[i].getAttribute("hei")!=null)htm.style.height=xml2[i].getAttribute("hei")
if(xml2[i].getAttribute("dong")!=null){
htm.oldx=parseInt(xml2[i].getAttribute("x"));htm.oldy=parseInt(xml2[i].getAttribute("y"));
var fanwei=parseInt(xml2[i].getAttribute("fanwei"))  //运动范围,页面大小百分比范围内
htm.zuobi=htm.oldx-((fmwid/100)*(fanwei/2));htm.youbi=htm.oldx+((fmwid/100)*(fanwei/2));htm.tingdun=0
htm.shangbi=htm.oldy-((fmhei/100)*(fanwei/2));htm.xiabi=htm.oldy+((fmhei/100)*(fanwei/2));yd.npcmove(htm)
}
htm.yincang=xml2[i].getAttribute("yincang");
fm1.appendChild(htm);
}yd.ying();bgsound2.src="";
if(inaqq==false){yinxiao("场景音乐");};xml.loadxdt();liaotian2.innerHTML="<font style='color:red'>切换场景、聊天内容清空。</font><br>";
},
loadxdt:function(){  //装载小地图
var tempobj=xdt.children  //初始化小地图,保留xdtxinxi,minrpg
while(tempobj.length>2){
if(tempobj[2].dong!=null){clearInterval(tempobj[2].dong);tempobj[2].dong=null}
xdt.removeChild(tempobj[2])
}

var wid1=xdt.offsetWidth,hei1=xdt.offsetHeight
for(var i=0;i<fm1.children.length;i++){
var obj=fm1.children[i],id1=obj.id
var small=document.createElement('div')
small.style.fontSize="1px";
if(obj.dong!=null)xdtfun.moveobj(small,obj);
if(id1=="npc"){obj.getAttribute("pub")!=null?small.style.backgroundColor="lime":small.style.backgroundColor="yellow";}
if(id1=="dl"||id1=="pb"){small.style.backgroundColor="#555555";}
if(id1=="aqq")small.style.border="1 dotted lime";
if(id1=="fmkuang"){small.style.backgroundColor="orange";}
if(id1=="shui")small.style.backgroundColor="#6464FF"
if(id1=="xj")small.style.backgroundColor="#FF6464"
small.style.left=obj.offsetLeft/(fmwid/wid1);
small.style.top=obj.offsetTop/(fmhei/hei1);
var tempw=wid1/(fmwid/obj.offsetWidth),temph=hei1/(fmhei/obj.offsetHeight)
small.style.width=tempw<2?3:tempw;
small.style.height=temph<2?3:temph;small.style.zIndex=obj.style.zIndex
if(id1=="boos"){
small.style.width=12;small.style.height=12;small.style.backgroundImage='url("img/ico/kulou.gif")';
small.onmousemove=function(){showtmk("Boos老怪!")}
}else if(id1=="exit"){
small.style.width=12;small.style.height=12;small.style.backgroundImage='url("img/ico/exit.gif")';
small.onmousemove=function(){showtmk("Exit 出口")};
}
if(obj.yincang!=null)small.style.display="none";
xdt.appendChild(small);if(id1=="exit"){  //后续友好视图定位处理
if(small.offsetTop+small.offsetHeight>xdt.offsetHeight)small.style.top=xdt.offsetHeight-small.offsetHeight
if(small.offsetLeft+small.offsetWidth>xdt.offsetWidth)small.style.left=xdt.offsetWidth-small.offsetWidth
}}  //end for
if(xml.migong==true){
var objbg=document.createElement("DIV");objbg.style.width=wid1;objbg.style.height=hei1;
objbg.style.backgroundColor="black";xdt.appendChild(objbg);
var obj=document.createElement("DIV");obj.id="migongrpg";
obj.style.backgroundRepeat="no-repeat";obj.style.backgroundImage=me.style.backgroundImage;
obj.style.zIndex=20000;obj.style.width=me.offsetWidth;obj.style.height=me.offsetHeight;
obj.style.left=wid1/2-(me.offsetWidth/2);obj.style.top=hei1/2-(me.offsetHeight/2);
obj.onmousemove=function(){showtmk("这个地图充满诡秘而奇异的魔力,天眼无法直接扫描地图<br>看来你不得不置身黑暗当中寻找出路,请保重!")}
xdt.appendChild(obj);
}
}
}